import pytest

from all_backend_api.hospitals_v2_request import hospitals_v2_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestServices:
    data = BaseRequest().api_load(path_setting.HOSPITAL_SERVICE)
    services_case, services_data = get_ids(data, "services")

    @pytest.mark.parametrize("param", services_data, ids=services_case)
    def test_detail(self, param):
        r = hospitals_v2_request().services()
        print("返回结果", r)
        assert r["error"] == 0




